View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001188aMuleSearchpublic2007-10-04 09:272008-01-13 01:11
ReporterGnucco 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0001188: Tag list read/write cycle corrupts data
DescriptionI read a tag list from a binary packet stored in a CMemFile object.

Writing the same taglist to another MemFile, the binary output is different from the original binary input.

To reproduce the bug, simply put the attached cpp file in src dir, and add

  #include "amule_taglist_selftest.cpp"

somewhere at the bottom of amule.cpp.

The attached source file contains two taglist dump captured directly from a live kad session.

IMHO, some sort of self-test could be added to amule startup.
TagsNo tags attached.
Fixed in Revision
Operating SystemLinux (Ubuntu 7.04)
Attached Filescpp file icon amule_taglist_selftest.cpp [^] (5,773 bytes) 2007-10-04 09:27
cpp file icon amule_taglist_selftest.cpp [^] (6,577 bytes) 2007-10-04 09:29
cpp file icon amule_taglist_selftest.cpp [^] (6,723 bytes) 2007-10-04 20:27

- Relationships

-  Notes
(0002422)
Gnucco (reporter)
2007-10-04 09:29

Oops... sorry, use this file, the prev one is broken
(0002424)
Gnucco (reporter)
2007-10-04 20:29

Oops... I have no credibility, I know... :(
please, use the last .cpp file I attached. The first two are broken. sorry

nevertheless, the bug is real!
(0002506)
Xaignar (manager)
2008-01-13 01:11

Thank you for repporting the problem. The bug has now been (properly) fixed.

Cheers.

- Issue History
Date Modified Username Field Change
2007-10-04 09:27 Gnucco New Issue
2007-10-04 09:27 Gnucco File Added: amule_taglist_selftest.cpp
2007-10-04 09:27 Gnucco Operating System => Linux (Ubuntu 7.04)
2007-10-04 09:29 Gnucco Note Added: 0002422
2007-10-04 09:29 Gnucco File Added: amule_taglist_selftest.cpp
2007-10-04 20:27 Gnucco File Added: amule_taglist_selftest.cpp
2007-10-04 20:29 Gnucco Note Added: 0002424
2007-10-05 23:34 Kry Status new => assigned
2007-10-05 23:34 Kry Assigned To => Kry
2008-01-13 01:11 Xaignar Status assigned => resolved
2008-01-13 01:11 Xaignar Fixed in Version => SVN
2008-01-13 01:11 Xaignar Resolution open => fixed
2008-01-13 01:11 Xaignar Note Added: 0002506


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker